Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.security.algorithms
Class JCEMapper

    java.lang.Object
      org.apache.xml.security.algorithms.JCEMapper

    public class JCEMapper

extends java.lang.Object

This class maps algorithm identifier URIs to JAVA JCE class names.

Nested Class Summary
`static class` | `JCEMapper.Algorithm` Represents the Algorithm xml element

Constructor Summary
`JCEMapper()`

Method Summary
`static java.lang.String` | `getAlgorithmClassFromURI(java.lang.String algorithmURI)` Method getAlgorithmClassFromURI
`static java.lang.String` | `getJCEKeyAlgorithmFromURI(java.lang.String algorithmURI)` Method getJCEKeyAlgorithmFromURI
`static int` | `getKeyLengthFromURI(java.lang.String algorithmURI)` Returns the keylength in bits for a particular algorithm.
`static java.lang.String` | `getProviderId()` Gets the default Provider for obtaining the security algorithms
`static void` | `register(java.lang.String id, JCEMapper.Algorithm algorithm)` Method register
`static void` | `registerDefaultAlgorithms()` This method registers the default algorithms.
`static void` | `setProviderId(java.lang.String provider)` Sets the default Provider for obtaining the security algorithms
`static java.lang.String` | `translateURItoJCEID(java.lang.String algorithmURI)` Method translateURItoJCEID

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JCEMapper

    public JCEMapper()

Method Detail

### register

    public static void register(java.lang.String id,
                                JCEMapper.Algorithm algorithm)

  Method register

  Parameters:
    `id` -
    `algorithm` -

### registerDefaultAlgorithms

    public static void registerDefaultAlgorithms()

  This method registers the default algorithms.

### translateURItoJCEID

    public static java.lang.String translateURItoJCEID(java.lang.String algorithmURI)

  Method translateURItoJCEID

  Parameters:
    `algorithmURI` -
  Returns:
    the JCE standard name corresponding to the given URI

### getAlgorithmClassFromURI

    public static java.lang.String getAlgorithmClassFromURI(java.lang.String algorithmURI)

  Method getAlgorithmClassFromURI

  Parameters:
    `algorithmURI` -
  Returns:
    the class name that implements this algorithm

### getKeyLengthFromURI

    public static int getKeyLengthFromURI(java.lang.String algorithmURI)

  Returns the keylength in bits for a particular algorithm.

  Parameters:
    `algorithmURI` -
  Returns:
    The length of the key used in the algorithm

### getJCEKeyAlgorithmFromURI

    public static java.lang.String getJCEKeyAlgorithmFromURI(java.lang.String algorithmURI)

  Method getJCEKeyAlgorithmFromURI

  Parameters:
    `algorithmURI` -
  Returns:
    The KeyAlgorithm for the given URI.

### getProviderId

    public static java.lang.String getProviderId()

  Gets the default Provider for obtaining the security algorithms

  Returns:
    the default providerId.

### setProviderId

    public static void setProviderId(java.lang.String provider)

  Sets the default Provider for obtaining the security algorithms

  Parameters:
    `provider` - the default providerId.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD